# Set environment variables for running Hadoop on Amazon EC2 here. All are required.

# Your Amazon Account Number.
AWS_ACCOUNT_ID=

# Your Amazon AWS access key.
AWS_ACCESS_KEY_ID=

# Your Amazon AWS secret access key.
AWS_SECRET_ACCESS_KEY=

# Location of EC2 keys.
# The default setting is probably OK if you set up EC2 following the Amazon Getting Started guide.
EC2_KEYDIR=`dirname "$EC2_PRIVATE_KEY"`

# The EC2 key name used to launch instances.
# The default is the value used in the Amazon Getting Started guide.
KEY_NAME=gsg-keypair

# Where your EC2 private key is stored (created when following the Amazon Getting Started guide).
# You need to change this if you don't store this with your other EC2 keys.
PRIVATE_KEY_PATH=`echo "$EC2_KEYDIR"/"id_rsa-$KEY_NAME"`

# SSH options used when connecting to EC2 instances.
SSH_OPTS=`echo -i "$PRIVATE_KEY_PATH" -o StrictHostKeyChecking=no`

# The version of Hadoop to use.
HADOOP_VERSION=0.11.2

# The Amazon S3 bucket where the Hadoop AMI is stored.
# The default value is for public images, so can be left if you are using running a public image.
# Change this value only if you are creating your own (private) AMI
# so you can store it in a bucket you own.
S3_BUCKET=hadoop-ec2-images

# The EC2 group to run your cluster in.
GROUP=hadoop-cluster-group

# The hostname of the master node in the cluster. You need to be able to set the DNS for this host to point to the master's IP address.
# See http://www.dyndns.com/services/dns/dyndns/, for example.
MASTER_HOST=

# The number of nodes in your cluster.
NO_INSTANCES=2

#
# The following variables are only used when creating an AMI.
#

# The download URL for the Sun JDK. Visit http://java.sun.com/javase/downloads/index_jdk5.jsp and get the URL for the "Linux self-extracting file".
JAVA_BINARY_URL=''

# The version number of the installed JDK.
JAVA_VERSION=1.5.0_11
